<template>
  <v-container>
    <v-card class="w-50 mx-auto pa-5">
      <v-row>
        <v-col cols="12">
          <p class="app-title-small format-sm ma-0">
            Barcode Type
          </p>
          <v-select
            :items="listTypeBarcode"
            item-text="name_option"
            item-value="format"
            v-model="type"
            single-line
            dense
            outlined
          ></v-select>
        </v-col>
        <v-col cols="12">
          <p class="app-title-small format-sm ma-0">
            Barcode Value
          </p>
          <v-text-field
            v-model="barcodeValue"
            single-line
            dense
            outlined
          ></v-text-field>
        </v-col>
      </v-row>
      <div ref="capture">
        <barcode :value="barcodeValue" :format="type" tag="svg">
          Show this if the rendering fails.
        </barcode>
      </div>
      <v-btn color="#FDB526" dark block @click="printPdf">Print PDF</v-btn>
      <p class="text-grey-sm">
        Document for more option:
        <a href="https://www.npmjs.com/package/vue-barcode" target="_blank"
          >Link</a
        >
      </p>
    </v-card>
  </v-container>
</template>
<script>
import jsPDF from "jspdf";
import html2canvas from "html2canvas";
import VueBarcode from "vue-barcode";
export default {
  data() {
    return {
      width: 20,
      height: 20,
      type: null,
      barcodeValue: "Hallo",
      listTypeBarcode: [
        {
          name_option: "EAN-13",
          format: "ean13"
        },
        {
          name_option: "EAN-8",
          format: "ean8"
        },
        {
          name_option: "EAN-5",
          format: "ean5"
        },
        {
          name_option: "EAN-2",
          format: "ean2"
        },
        {
          name_option: "UPC-A",
          format: "upc"
        },
        {
          name_option: "#CODE-39",
          format: "code39"
        },
        {
          name_option: "#ITF-14",
          format: "itf14"
        },
        {
          name_option: "MSI",
          format: "msi"
        },
        {
          name_option: "#pharmacode",
          format: "pharmacode"
        }
      ]
    };
  },
  components: {
    barcode: VueBarcode
  },
  methods: {
    printPdf() {
      let pdfRef = this.$refs.capture;

      html2canvas(pdfRef).then(canvas => {
        let pdfImage = canvas.toDataURL();

        let pdf = new jsPDF();
        pdf.addImage(pdfImage, "PNG", 20, 20);
        pdf.save("commande.pdf");
      });
    }
  }
};
</script>
